#include <stddef.h>
#include <stdint.h>
#include <ulib.h>

void fs_mkd(void) {
  if (argslen() < 2) {
    uprintf("fs: Not enough arguments\n");
    return;
  }

  char *path = *(args()+1);

  int32_t r = fs_mkdir(path);
  if (r != E_OK) {
    uprintf("fs: could not create %s\n", path);
  }
}
